Summary   	: System logging and kernel message trapping daemons.
Name	  	: sysklogd
Version	  	: 1.4.1
Release	  	: 3.0.0.%{_hhl_build_id}
Source0		: sysklogd_%{version}.orig.tar.gz
Source1		: syslog.log
Source2		: sysklogd.tmpl
Patch0		: sysklogd_%{version}-11.diff.gz
Patch1		: sysklogd-1.3-alpha.patch
Patch2		: sysklogd-1.3-rh.patch
Patch3		: sysklogd-1.3-utmp-process.patch
Patch4		: sysklogd-1.3-sparc.patch
Patch5		: sysklogd-1.3-alphafoo.patch
Patch6		: sysklogd-nullterm.patch
Patch7		: sysklogd-ksyms.patch
Patch8		: sysklogd-1.3-nostrip.patch
Patch9		: sysklogd-initd.diff
Patch10		: sysklogd-7xxx.patch
License 	: GPL 
Group	  	: System Environment/Daemons
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
Requires	: hardhatutils
#
#	SRPM
#
Obsoletes : hhl-target-sysklogd
Obsoletes : hhl-%{_hhl_target_arch}-sysklogd

%description

The sysklogd package contains two system utilities (syslogd and klogd)
which provide support for system logging.  Syslogd and klogd run as
daemons (background processes) and log system messages to different
places, like sendmail logs, security logs, error logs, etc.

#
#	RPM
#


%prep

%target_check

#%setup -n sysklogd-1.3-31
%setup -n sysklogd-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1


%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup
%ifarch ppc_7xx ppc_74xx
CACHE_DEF="-DKERNEL_CACHE"
%endif
make CC="%{_hhl_target_toolprefix}gcc $CACHE_DEF"
 

make CC=%{_hhl_target_toolprefix}gcc


%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/{sbin,etc,usr/share/man/man{5,8}}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/{init.d,logrotate.d}

make install TOPDIR=%{buildroot}%{_hhl_cross_target_dir} STRIP=true MANDIR=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}

install -m644 debian/syslog.conf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/syslog.conf
install -m755 debian/rc %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/syslog
install -m755 debian/rc.klogd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/klog


install -m644  %{_sourcedir}/syslog.log %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/logrotate.d/syslog

cp COPYING LICENSE
gzip -9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/sysklogd

%clean
rm -rf %{buildroot}

%post -n sysklogd
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add syslog) &> /dev/null \
	|| echo "Unable to enable initd service: syslog"
(%{_hhl_target_toolprefix}initdconfig --add klog) &> /dev/null \
	|| echo "Unable to enable initd service: klog"

# We only register services, not un-register them.


%files -n sysklogd
%defattr(-,root,root)
%{_hhl_cross_target_dir}/sbin/klogd
%{_hhl_cross_target_dir}/sbin/syslogd
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/logrotate.d/syslog
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/syslog
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/klog
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/syslog.conf
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/syslog.conf.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/klogd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/sysklogd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/syslogd.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/sysklogd
%doc LICENSE

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Feb 19 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file




